Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.matchers
Class StringMatcher<T extends Key<?>>

    java.lang.Object
      org.quartz.impl.matchers.StringMatcher<T>

All Implemented Interfaces:
  Serializable, Matcher<T>

Direct Known Subclasses:
  GroupMatcher, NameMatcher

    public abstract class StringMatcher<T extends Key<?>>

extends Object
implements Matcher<T>

An abstract base class for some types of matchers.

Author:
  jhouse
See Also:
  Serialized Form

Nested Class Summary
`static class` | `StringMatcher.StringOperatorName`

Field Summary
`protected String` | `compareTo`
`protected StringMatcher.StringOperatorName` | `compareWith`

Constructor Summary
`protected` | `StringMatcher(String compareTo, StringMatcher.StringOperatorName compareWith)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCompareToValue()`
`StringMatcher.StringOperatorName` | `getCompareWithOperator()`
`protected abstract String` | `getValue(T key)`
`int` | `hashCode()`
`boolean` | `isMatch(T key)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### compareTo

    protected String compareTo

### compareWith

    protected StringMatcher.StringOperatorName compareWith

Constructor Detail

### StringMatcher

    protected StringMatcher(String compareTo,
                            StringMatcher.StringOperatorName compareWith)

Method Detail

### getValue

    protected abstract String getValue(T key)

### isMatch

    public boolean isMatch(T key)

  Specified by:
    `isMatch` in interface `Matcher<T extends Key<?>>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `equals` in class `Object`

### getCompareToValue

    public String getCompareToValue()

### getCompareWithOperator

    public StringMatcher.StringOperatorName getCompareWithOperator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.